Failure to install a package, log says it's an npm error

(Kyle Simpson) #1

What I Wanted to Do

I ran npm install sqlite3 and I wanted it to install correctly.

What Happened Instead

I got an error, and in the npm logs, it said “This is an error with npm itself. Please report this error…” So here I am.

Reproduction Steps

I’m using Debian 9 (Stretch) with node@12.2.0 and npm@6.9.0.

I tried to install the latest version of “sqlite3” package, which is 4.0.7, by simply executing npm install sqlite3. I attempted the install in a new empty /tmp/test directory to get a clean debug log (attached below).

This same “sqlite3” package installed fine on my Mac OSX 10.14 machine. But now I’m trying to install it on my Debian VM on my server. It failed.

Details

npm.debug.log (112.6 KB)

Platform Info

$ npm --versions
{
  npm: '6.9.0',
  ares: '1.15.0',
  brotli: '1.0.7',
  cldr: '35.1',
  http_parser: '2.8.0',
  icu: '64.2',
  llhttp: '1.1.3',
  modules: '72',
  napi: '4',
  nghttp2: '1.38.0',
  node: '12.2.0',
  openssl: '1.1.1b',
  tz: '2019a',
  unicode: '12.1',
  uv: '1.28.0',
  v8: '7.4.288.21-node.17',
  zlib: '1.2.11'
}

$ node -p process.platform
linux
(Maghfirah Suyuti) #2

this happen to me… any answer for this case?

(John Gee) #3

@maghfirah13

this happen to me

Problems installing sqlite3, or ERR! cb() never called!?

(ERR! cb() never called! is a generic error which has multiple causes.)